Subject: Re: bug#15057: 24.3.50; TLS error with reasonably high gnutls-min-prime-bits

From: Lars Ingebrigtsen <[email-masked]>
Date: Thu, 30 Jan 2014 16:46:43 -0800

Ted Zlatanov <[email-masked]> writes:

> LMI> gnutls will try to use as high a number of bits as the server supports,
> LMI> I think?  So the variables are fine as they are -- they will give you
> LMI> all the security that the server says that it can provide.
>
> LMI> So the warning is kinda semi-bogus.  Or at least ... premature.
>
> It's complicated and depends on the specific TLS priority string on the
> client and the server's preferences; e.g. ECC seems to negotiate in a
> completely different way.  I asked on the gnutls-devel mailing list and
> there's just no good answer AFAICT.

But we're specifying the minimum prime bits that we accept.  Surely the
client and server will negotiate the maximum possible bits they both
accept?

-- 
(domestic pets only, the antidote for overdose, milk.)
  bloggy blog http://lars.ingebrigtsen.no/